package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag202cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT202COVCreator;

public class TagB70Creator extends AbsTagCreate {
    private MT202COVCreator mt202COVCreator;

    public TagB70Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt202COVCreator = (MT202COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag70Value = mt202COVCreator.getRemittanceInformationB();
        mt202COVCreator.set("70",tag70Value);
    }
}
